<template>
  <header style="background-color: #232323;" class="shadow-lg">
    <div class="container py-8 flex justify-between items-center">
      <div class="text-xl cursor-pointer flex items-center font-bold text-white">
        <div class="mr-4 w-7 h-4 flex items-center"><img class="w-full" src="../assets/images/icons/menu.png" alt=""></div>
        PHOTO<span class="text-red-500 ml-1">SHOPPING</span></div>
      <div class="flex cursor-pointer header-router-nav">
        <router-link :to="{name: 'Index'}" :class="{'active-header-address':$route.name === 'Index'}" class="mx-2">Главная</router-link>
        <router-link :to="{name: 'About'}" :class="{'active-header-address':$route.name === 'About'}" class="mx-2">О нас</router-link>
        <router-link :to="{name: 'Contacts'}" :class="{'active-header-address':$route.name === 'Contacts'}" class="mx-2">Контакты</router-link>
        <router-link :to="{name: 'Delivery'}" :class="{'active-header-address':$route.name === 'Delivery'}" class="mx-2">Доставка и оплата</router-link>
      </div>
    </div>
  </header>
</template>

<script>
import {onMounted} from 'vue'
export default {
  name: "Header",
  setup() {
    function handle() {
      const app = document.getElementById('app')
      document.addEventListener('scroll', () => console.log(app));
    }
    onMounted(() => {
      handle()
    })
  }
}
</script>

<style scoped lang="scss">
header {
}
.header-router-nav {
  a {
    transition: all .3s ease;
    opacity: 0.6;
    color: white !important;
    &.active-header-address {
      position: relative;
      opacity: 1;
      &:before {
        content: '';
        position: absolute;
        border: 2px solid white;
        width: 100%;
        bottom: -5px;
      }
    }
    &:hover {
      opacity: 1;
    }
  }
}
</style>
